Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO::Collocated_Object_Proxy_Broker Class Reference

Collocated_Object_Proxy_Broker. More...

`#include <Collocated_Object_Proxy_Broker.h>`

Inheritance diagram for TAO::Collocated_Object_Proxy_Broker:

[legend]
Collaboration diagram for TAO::Collocated_Object_Proxy_Broker:

[legend]
List of all members.

## Public Methods
virtual CORBA::Boolean | _is_a (CORBA::Object_ptr target, const char *logical_type_id ACE_ENV_ARG_DECL)
virtual CORBA::Boolean | _non_existent (CORBA::Object_ptr target ACE_ENV_ARG_DECL)
virtual CORBA::InterfaceDef * | _get_interface (CORBA::Object_ptr target ACE_ENV_ARG_DECL)
virtual CORBA::Object_ptr | _get_component (CORBA::Object_ptr target ACE_ENV_ARG_DECL)

## Detailed Description

Collocated_Object_Proxy_Broker.

A broker for standard CORBA::Object calls that needs to be made on remote objects.

## Member Function Documentation

CORBA::Object_ptr TAO::Collocated_Object_Proxy_Broker::_get_component | ( | CORBA::Object_ptr target | ACE_ENV_ARG_DECL | ) | `[virtual]`

| Implements TAO::Object_Proxy_Broker.

CORBA::InterfaceDef_ptr TAO::Collocated_Object_Proxy_Broker::_get_interface | ( | CORBA::Object_ptr target | ACE_ENV_ARG_DECL | ) | `[virtual]`

| Implements TAO::Object_Proxy_Broker.

virtual CORBA::Boolean TAO::Collocated_Object_Proxy_Broker::_is_a | ( | CORBA::Object_ptr | target,
|  | const char *logical_type_id | ACE_ENV_ARG_DECL
| ) | `[virtual]`

| Please see the documentation in Object_Proxy_Broker.h for details. Implements TAO::Object_Proxy_Broker.

CORBA::Boolean TAO::Collocated_Object_Proxy_Broker::_non_existent | ( | CORBA::Object_ptr target | ACE_ENV_ARG_DECL | ) | `[virtual]`

| Implements TAO::Object_Proxy_Broker.

The documentation for this class was generated from the following files:

- Collocated_Object_Proxy_Broker.h
- Collocated_Object_Proxy_Broker.cpp